I downloaded it from Steam, but whenever I try to open the launcher, it says that it isn't available for my Mac, and tells me to update. I'm currently using snow leopard, do I have to be using lion...